#include "mbed.h"  

InterruptIn bouton(D4); 
DigitalOut led(D10) // la LED de puissance est symbolisée par une LED branchée en D10
DigitalOut bandeau(D19) // le bandeau est symbolisé par une LED branchée en D9

 
int i=0; //prendra les valeurs 0,1 ou 2 correspondant au mode à actionner  
void bouton_changei(void); //fonction d'interruption pour changer de i quand on appuie sur le bouton 

void bouton_changei(){ 
    i++; //on veut changer de mode  
    if (i==3){  
        i=0;  
    }  
    if (i==0){ // lampe est en mode étroit et doit s'éteindre  
        bandeau=0; // on éteint le bandeau 
        led=0; // consigne pour éteindre la lampe  
    }  
    else if (i==1){ //lampe est éteinte et doit se mettre en diffus  
        bandeau=1;  // on allume le bandeau
        led=0;      //on éteint la lampe
    }  
    else if (i==2){ //lampe est en mode diffus et doit se mettre en étroit  
        bandeau=0; 
        led=1; 
    } 
    wait_us(2000); // laisse le temps à l'utilisateur de relâcher le bouton sans changer de mode
} 


int main(){  
    bouton.rise(&bouton_changei); 

    while (1) {  
    }  
} 